﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ChartView;
using Telerik.Windows.Controls;
using Telerik.Charting;

namespace ChartViewDevelopment_WPF
{
    /// <summary>
    /// Interaction logic for Selection.xaml
    /// </summary>
    public partial class Selection2 : UserControl
    {
        public Selection2()
        {
            InitializeComponent();

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            foreach (var item in (chart.Series[3] as CategoricalSeries).DataPoints)
            {
                item.IsSelected = true;
            }
        }

        bool isSelecting;
        private void ChartSelectionBehavior_SelectionChanged(object sender, ChartSelectionChangedEventArgs e)
        {
            var point = e.AddedPoints[0];
            if (!isSelecting)
            {
                isSelecting = true;
                foreach (var item in (point.Parent.Presenter as CategoricalSeries).DataPoints)
                {
                    item.IsSelected = true;
                }
                isSelecting = false;
            }
        }

        bool isDragging;
        private void chart_MouseMove(object sender, MouseEventArgs e)
        {
            if (isDragging)
            {
                RadCartesianChart chart = (RadCartesianChart)sender;
                DataTuple mouseData = chart.ConvertPointToData(e.GetPosition(chart));

                // Log mouse data here...
            }
        }
        
        private void chart_MouseDown(object sender, MouseButtonEventArgs e)
        {
            isDragging = true;
        }

        private void chart_MouseUp(object sender, MouseButtonEventArgs e)
        {
            isDragging = false;
            
            // Check logged data and select points...
        }
    }
}
